PUT
/v1/organizations/{organizationId}/projects/{projectId}/environments/{environmentId}/surface-registrations/{surfaceRegistrationId}/tenants/{tenantId}/connections/{connectionId}/credentialRotate a Connection's write-only bot credential
Conditionally replace an active Connection's bot credential without returning either credential value.
Authentication
Send an API key as a Bearer token in the Authorization header.
Parameters
Request body
Required.
application/jsonobject- unknown properties allowed
false
botTokenrequiredstringThe write-only replacement provider bot credential used to deliver messages.- maximum length
8192 - minimum length
1 - write only
true
- maximum length
Responses
200Connectionapplication/json400The request path, headers, query, or JSON body did not satisfy the published schema401Unauthorizedapplication/json403Forbiddenapplication/json404NotFoundapplication/json409Conflictapplication/json412ConnectionPreconditionFailedapplication/jsonReusable schemas
ConnectionEncoded
object- unknown properties allowed
false
connectionIdrequiredstringThe installed provider Connection identifier.- maximum length
64 - pattern
^connection_[\s\S]+$
- maximum length
organizationIdrequiredstringThe Organization identifier.- maximum length
64 - pattern
^org_[\s\S]+$
- maximum length
projectIdrequiredstringThe Project identifier.- maximum length
64 - pattern
^proj_[\s\S]+$
- maximum length
environmentIdrequiredstringThe Environment identifier.- maximum length
64 - pattern
^env_[\s\S]+$
- maximum length
tenantIdrequiredstringThe Tenant identifier.- maximum length
64 - pattern
^tenant_[\s\S]+$
- maximum length
surfaceRegistrationIdrequiredstringThe Environment Surface registration identifier.- maximum length
64 - pattern
^surface_[\s\S]+$
- maximum length
providerrequiredstringThe model, Surface, or integration provider key.- allowed values
"slack"
- allowed values
providerIssuerrequiredstringThe provider account or workspace boundary.- maximum length
512 - minimum length
1 - pattern
^[!-~]+$
- maximum length
credentialGenerationrequiredintegerThe current credential generation, incremented on rotation.- greater than
0
- greater than
etagrequiredstringThe strong ETag required for the next conditional mutation.- maximum length
12 - pattern
^"(?:[1-9][0-9]{0,9})"$
- maximum length
statusrequired- ConnectionStatusThe current lifecycle status.
createdAtrequiredstringWhen the resource was created, in UTC.- format
date-time
- format
UnauthorizedEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"Unauthorized"
- allowed values
reasonrequiredstringA safe explanation of why the credential was rejected.
ForbiddenEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"Forbidden"
- allowed values
permissionrequiredstringThe permission required by the refused operation.
NotFoundEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"NotFound"
- allowed values
resourcerequiredstringThe resource type relevant to the error.idrequiredstringThe identifier supplied for the resource that was not found.
ConflictEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"Conflict"
- allowed values
resourcerequiredstringThe resource type relevant to the error.reasonrequiredstringA safe explanation of the state conflict.
ConnectionPreconditionFailedEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"ConnectionPreconditionFailed"
- allowed values
resourcerequiredstringThe resource type relevant to the error.- allowed values
"connection"
- allowed values
currentEtagrequiredstringThe current strong ETag required for the next conditional activation.- maximum length
12 - pattern
^"(?:[1-9][0-9]{0,9})"$
- maximum length
ConnectionStatus
string- allowed values
"active", "disabled", "reauthorizationRequired"